Update paymentmethods details
Update paymentmethod details for tenant.
settlementCode can only be set and updated for EXTERNAL payment methods. It must have the prefix EXTERNAL_.
For all other payment methods, the payment code is used as the settlement code.
Required permissions: PAYMENT_METHOD
Access token recevied after user login with a deviceToken
Reference to a tenant PaymentMethodUid.
^[A-Za-z0-9-_]+Reference to a tenant.
^[A-Za-z0-9-_]+The name will be displayed in the clients and on the receipt
A description of the payment method, shown in the client
Text printed on the receipt when this payment method is used. Omit to leave unchanged.
order of appearance in lists
Return a list of all paymentMethods in FlowRetail
The name will be displayed in the clients and on the receipt
A description of the payment method, shown in the client
Text printed on the receipt when this payment method is used. Empty when not configured.
if true, paymentMethod can be used when settling a refund.
^[A-Za-z0-9-_]+if true, paymentMethod can be used when settling a sale.
if true, paymentMethod can be used when settling a sale.
if true, settlement amount can be higher than remainingAmount when settling a sale.
order of appearance in lists
PUT /v2/tenants/{tenantUid}/paymentmethods/{tenantPaymentMethodUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 450
{
"active": true,
"name": "text",
"description": "text",
"receiptText": "text",
"allowSale": true,
"allowRefund": true,
"allowCashback": true,
"allowPrepayment": true,
"settlementCode": "text",
"position": 1,
"visibility": "FEATURED",
"amountInput": "NONE",
"useRounding": true,
"requireCustomer": true,
"requireCustomerMobile": true,
"requireCustomerEmail": true,
"requireCustomerType": "ANY",
"requireCustomerContact": true,
"requireRefundToSameMethod": true,
"requireExclusiveUse": true
}Return a list of all paymentMethods in FlowRetail
{
"active": true,
"name": "text",
"description": "text",
"receiptText": "text",
"settlementCode": "text",
"paymentMethod": {
"allowRefund": true,
"allowSale": true,
"allowAmount": true,
"allowCashback": true,
"allowPrepayment": true,
"requireExclusiveUse": true,
"name": "text",
"parameters": [
{
"key": "text",
"keyType": "TEXT",
"name": "text",
"required": true
}
],
"paymentCode": "CASH"
},
"allowRefund": true,
"tenantPaymentMethodUid": "text",
"allowSale": true,
"allowPrepayment": true,
"allowCashback": true,
"parameters": [
{
"name": "text",
"description": "text",
"required": true,
"key": "text",
"type": "TEXT",
"regex": "text"
}
],
"externalSystemMappings": [
{
"systemCode": "OMNIUM",
"externalId": "text",
"tenantPaymentMethodMappingUid": "text"
}
],
"position": 1,
"visibility": "FEATURED",
"requirements": {
"requireCustomer": true,
"requireCustomerMobile": true,
"requireCustomerEmail": true,
"requireCustomerType": "ANY",
"requireCustomerContact": true,
"requireExclusiveUse": true,
"requireRefundToSameMethod": true
},
"amountInput": "NONE",
"useRounding": true
}Last updated
Was this helpful?

